\version "2.12.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	composer = "Orlando Gibbons"
        copyright = "© Serpent Publications 2013 www.laymusic.org"
	footnotes = ""
	title = "Fantasie V"
	source = "Performers Facsimiles 150 and http://erato.uvt.nl/files/imglnks/usimg/f/f9/IMSLP118442-WIMA.ff5a-0204.pdf"
}

% Local Variables:
% coding: utf-8
% End:

% expanding: accidentals.lyi
af = {	     \set suggestAccidentals = ##t }
an = {	     \set suggestAccidentals = ##f }
% expanding: bars.lyi
singlebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|"}
doublebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "||"}
endbar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|."}
% expanding: cantusnotes.ly
cantusnotes = {
  \relative c'' {
    d4 f e cis d b a4. e'8 f g a4 g e f d cis2 d4 a8 b c4. c8 f,4 g a4. g8 f4 e8 f g a b c d4 b cis4. e8 f g a4 g d e2 d^"A" a'8 g f e d4 a' g8 f e d cis4 a2 a4 b g c2 b a g4 c2 b4 c e2 d4 b e2 cis4 d2. b4 c2. d2 e4 f a2 g8 f e4 f d e4.^"B" cis8 a a'4 fis8 d4
    r2 r8 c4 a8 f f'4 d8 a'4. a,8 e'4. d8 c4 b a8 f'4 e8 d a c g bes g a4. g8 f4 e e' a2 d,^"C" g c, f e d cis4 a4. b8 c d b4 g4. a8 bes c a b c a b c d2 cis4 d c b4. d8 c d b c a2^"D"
    r8 g a b c a f'4 e2 d d8 e f4 e8 f g4 f g a2. g8 f g a bes a g4. f8 f2 f,8 g a b c4 g8 a bes4 a4. g8 e4 f8 g a b c a d2 cis4 d2^"E"
    r4 a8 b c4 b8 c d4. d8 cis4 a4. b8 c d e c d f4 f8 e4 f f,8 g a b c d e f g c, d e f g e2 a,4 a'2 g8 f e4. d8 d\breve
    \endbar
  }
}

% expanding: tenornotes.ly
tenornotes = {
  \relative c'' {
    r\breve d4 f e cis d b a4. e'8 f g a4 g e f d cis2 a8 b c d e f g e a4 g8 f e2 a,4. a8 b c d2 cis4 d2^"A"
    r2 a'8 g f e d4 g8 f e2. fis4 g e2 a g f4 e2 d g,4 c4. b8 a2 gis4 a a'2 fis4 g2. e4 f2 g a4 a,8 b c d e f g4 a f g^"B" e4. a,8 a4. d4 b8 g g'4 e8 c f4 d8 a'4. a,8 e'4
    r8 c4 b a gis8 a a'4 g f e d cis8 e4. d8 cis d cis b a b c d b4.^"C" d8 c d c b a2
    r8 g a b c4 a2 gis4 a4. g8 fis g a fis g4. f8 e f g e f g a4 g4. f8 e4 e' a2 d, g c,^"D" f e4 d2 cis4 d2
    r4 a8 b c4 b8 c d4. d8 cis4 a4. b8 c d e c d f4 f8 e4 f f,8 g a b c d e f g c, d e f g e2 a,4 a'2 g8 f e4. d8 d2^"E" d8 e f4 e8 f g4 f g a2. g8 f g a bes a g4. f8 f2 f,8 g a b c4 g8 a bes4 a4. g8 e4 f8 g a b cis a d2 c4 d\breve
    \endbar
}
}
% expanding: bassusnotes.ly
bassusnotes =  {
  \clef "bass"
  \relative c {
    r\breve r\breve d4 f e cis d b a4. e'8 f g a4 g e f d a'4. cis,8 d e f4 g8 a bes4 a a, d2^"A"
    r4 d' f8 e d c bes4 g a4. b8 cis a d c b g c b a b c d e d b c d c a b c d e f g4. f8 e d c d e4 f e4. d8 c b a g f e d c' b a g f e d c bes a4 bes g c f, f''2 e8 d c4 a d g,^"B" a4. fis8 d d'4 b8 g g'4 e8 c4 f d2 a2. gis4 a e f c d a8 c g bes a4. e'8 f g a4. g8 f g a fis g4.^"C" f8 e4 e f8 g f e d e f g a b c d b a b4 a2 d g, c f, g a4. g8 fis g a fis g4. f8 e f g e f^"D" g f e d e f g a4 d, a2 d d4 d' c8 d e4 d8 c bes4 a4. g8 f4 e8 d c4 bes c2 f,2. f'4 e2 d cis4. cis8 d e f g a2. a,4 d2^"E" d4 d' c8 d e4 d8 c bes4 a4. g8 f4 e8 d c4 bes c2 f,2. f'4 e2 d cis4. cis8 d e f g a2. a,4 d\breve
  }
  \endbar
}

% expanding: timesig.ly
%%%settime = {  
%%%\override Staff.TimeSignature   #'style = #'mensural
%%%\time 4/4
%%%s128
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%\override Staff.TimeSignature   #'style = #'single-digit
%%%  \time  3/2
%%%\set Score.measurePosition = #(ly:make-moment 0 2)
%%%}

settime = {
#(define ((compound-time one two num) grob)
   (grob-interpret-markup grob
                          (markup  #:override '(baseline-skip . 0)
                                   #:number
                                  (#:line ((#:vcenter #:musicglyph
"timesig.C44")
                                          (#:vcenter two))))))

  \override Staff.TimeSignature #'stencil = #(compound-time "C" "3" "1")
  \time 3/2
}

%%%#(define ((compound-time one two num) grob)
%%%   (grob-interpret-markup grob
%%%                          (markup #:override '(baseline-skip . 0) #:number
%%%                                  (#:line ((#:column (one num))
%%%                                           #:vcenter "+"
%%%                                           (#:column (two num)))))))

%settime = {\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }}

%%%settime = \override Staff.TimeSignature #'stencil = #(\markup{\musicglyph #"timesig.C44" \musicglyph #"three" }})
% expanding: barnumbers.lyi
\version "2.16.0"
% this should give boxed bar numbers every 5 bars
everyfive = {  
  \override Score.BarNumber #'break-visibility = #end-of-line-invisible
     \set Score.barNumberVisibility = #(every-nth-bar-number-visible 5)

  % Increase the size of the bar number by 1
  \override Score.BarNumber #'font-size = #1

  % Draw a box round the following bar number(s)
  \override Score.BarNumber #'stencil
    = #(make-stencil-boxer 0.1 0.25 ly:text-interface::print)

}

% expanding: voicedefault.ly
\version "2.15.19"
voicedefault =  {
\set Staff.autoBeaming = ##f
$(set-accidental-style 'forget)
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\override Staff.TimeSignature   #'style = #'neomensural

%\compoundMeter #'((4 4) (3 2)) 
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)%\once \override Staff.TimeSignature #'extra-spacing-width = #'(+inf.0 . -inf.0)

%  \override Staff.TimeSignature   #'style = #'C
% \time 2/2
%\settime
%s128
%\once \override Staff.TimeSignature #'extra-spacing-width = #'(0.0 . 0.0 )
%\override Staff.TimeSignature   #'style = #'single-digit
%\time 3/2
%s128
%        \set Score.measurePosition = #(ly:make-moment 0 2)

%\key d \dorian
%\settime
\override Staff.TimeSignature   #'style = #'neomensural
\time 2/2
\key d \dorian

%\partial 4  
%\everyfive

}
% Local Variables:
% coding: utf-8
% End:

% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))
\score{
         <<

  <<
	\context Staff="1"
	{
	  \transpose c c {
	    \voicedefault 
%	    \looksSlower{\cantusnotes }
	    \cantusnotes
	  }
	}
      >>


<<	\context Staff="3"
	{
	  \transpose c c {
	    \voicedefault
%	    \looksSlower{\tenornotes}
	    \tenornotes
	  }
	}

>>


<<	\context Staff="6"
	{
	  \transpose c c {
%	    \clef "bass"
	    \voicedefault
%	    \looksSlower{\bassusnotes}
 	    \bassusnotes
	  }
	}
>>

    >>
	\layout {
	  \context{
		\Voice
		\consists Ambitus_engraver
		\remove "Forbid_line_break_engraver"	      
	      }
	  \context{

	    \Staff
	    \consists "Timing_translator" 
	    \consists "Default_bar_line_engraver"
	    \consists "Repeat_acknowledge_engraver"
	  }
	  \context{
	    \Score
	    \remove "Timing_translator" 
	    \remove "Default_bar_line_engraver"
	    \remove "Repeat_acknowledge_engraver"
	  }

	}
\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}
% Local Variables:
% coding: utf-8
% End:

